[Logcheck-commits] CVS logcheck/debian

CVS User ttroxell logcheck-devel@lists.alioth.debian.org
Mon, 20 Dec 2004 15:47:07 -0700


Update of /cvsroot/logcheck/logcheck/debian
In directory haydn:/tmp/cvs-serv7014/debian

Modified Files:
	changelog logcheck.postinst 
Log Message:
setgid on rule directories


--- /cvsroot/logcheck/logcheck/debian/changelog	2004/12/20 22:37:38	1.310
+++ /cvsroot/logcheck/logcheck/debian/changelog	2004/12/20 22:47:07	1.311
@@ -7,6 +7,8 @@
   * Add rbldnsd fules at level server from Rafael Jesus Alcantara Perez
     <rafa@dedaloingenieros.com>. (closes: #285602)
   * Add jabberd rules from Peter Palfrader <weasel@debian.org>.
+  todd:
+  * Set rule directories setgid to simplify administration. (closes: #286230)
 
  -- 
 
--- /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2004/11/01 04:29:23	1.23
+++ /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2004/12/20 22:47:07	1.24
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# $Id: logcheck.postinst,v 1.23 2004/11/01 04:29:23 ttroxell Exp $
+# $Id: logcheck.postinst,v 1.24 2004/12/20 22:47:07 ttroxell Exp $
 
 set -e
 
@@ -58,13 +58,13 @@
     	  # Fix Permissions
     	  chown -R logcheck:logcheck /var/lib/logcheck  || true
           chgrp -R logcheck /etc/logcheck || true
-          chmod 750 /etc/logcheck/ignore.d.paranoid || true
-          chmod 750 /etc/logcheck/ignore.d.workstation || true
-          chmod 750 /etc/logcheck/ignore.d.server || true
-          chmod 750 /etc/logcheck/cracking.d || true
-          chmod 750 /etc/logcheck/cracking.ignore.d || true
-          chmod 750 /etc/logcheck/violations.d || true
-          chmod 750 /etc/logcheck/violations.ignore.d || true
+          chmod 4750 /etc/logcheck/ignore.d.paranoid || true
+          chmod 4750 /etc/logcheck/ignore.d.workstation || true
+          chmod 4750 /etc/logcheck/ignore.d.server || true
+          chmod 4750 /etc/logcheck/cracking.d || true
+          chmod 4750 /etc/logcheck/cracking.ignore.d || true
+          chmod 4750 /etc/logcheck/violations.d || true
+          chmod 4750 /etc/logcheck/violations.ignore.d || true
     	  chmod -R g+rX /etc/logcheck || true
           # just in case
           chown logcheck /var/lock/logcheck > /dev/null 2>&1 || true